/**
* @author Andre Moreira, mourdok@gmail.com
*/

/**
* @function
* @public
*
* @returns {Database}
*
* @example
* var db = prepareDatabase();
*/
function prepareDatabase() {

	var dbSize = 5 * 1024 * 1024; // 5MB

	return openDatabase("Generator Password", "1.0", "Generator Password Database", dbSize);

}

/**
* @function
* @public
*
* @param {Database} db
*
* @example
* setupDatabase(db);
*/
function setupDatabase(db) {

	db.transaction(function(tx) {

		tx.executeSql("CREATE TABLE IF NOT EXISTS generator(id INTEGER PRIMARY KEY ASC, password TEXT)");

		tx.executeSql("SELECT * FROM generator WHERE id = 1", [], function(tx, result) {

			if (result.rows.length == 0) tx.executeSql("INSERT INTO generator(password) VALUES(?)", ["Aa!1111!aA"]);

		}, null);

	});

}
