/**
* @author Andre Moreira, mourdok@gmail.com
*/
jQuery(document).ready(function($) {

	/**
	* @requires database.js
	*/
	var db = prepareDatabase();

	setupDatabase(db);

	/**
	* @description Init
	*/
	setPassword(db);

	/**
	* @event
	*/
	$("span#LETTER").click(function() { form.pattern.value += "A"; });

	/**
	* @event
	*/
	$("span#letter").click(function() { form.pattern.value += "a"; });

	/**
	* @event
	*/
	$("span#number").click(function() { form.pattern.value += "1"; });

	/**
	* @event
	*/
	$("span#symbol").click(function() { form.pattern.value += "!"; });

	/**
	* @event
	*/
	$("input#erase").click(function() { form.pattern.value = form.pattern.value.toString().substring(0, form.pattern.value.length - 1); });

	/**
	* @event
	*/
	$("input#save").click(function() {

		$.fn._updatePassword(db);

		$.fn._renderSuccess();

	});

	/**
	* @function
	* @public
	*
	* @param {Database} db
	*
	* @example
	* setPassword(db);
	*/
	function setPassword(db) {

		db.transaction(function(tx) {

			tx.executeSql("SELECT * FROM generator WHERE id = 1", [], function(tx, result) {

				form.pattern.value = result.rows.item(0)['password'];

			}, null);

		});

	}

	/**
	* @function
	* @private
	*
	* @param {Database} db
	*
	* @example
	* $.fn._updatePassword(db);
	*/
	$.fn._updatePassword = function(db) {

		db.transaction(function(tx) {

			tx.executeSql("UPDATE generator SET password = ? WHERE id = 1", [form.pattern.value]);

		});

	}

	/**
	* @function
	* @private
	*
	* @example
	* $.fn._renderSuccess();
	*/
	$.fn._renderSuccess = function() {

		$("li#status").fadeIn('slow');

		$("li#status").html("<a href='#' style='color:yellow'>Saved!</a>");

		$("li#status").fadeOut('slow');

	}

});
